uniform float ptimer;
uniform float fufo;

uniform sampler2D tex;

varying vec3 coord;

void main()
{
	vec2 tc = gl_TexCoord[0].st;
	vec2 tst;

	float t = ptimer / 1024.0;
	float y = cos(coord.y);
	y = y * y * y * y;

	tst.s = tc.s + (fufo * sin((fufo*y+t)*2.0)*0.065);
	tst.t = tc.t;

	vec4 color = texture2D(tex,tst);

	gl_FragColor = color;
}
